# Class OptionArgumentFormatException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.thaiopensource.validate.OptionArgumentException
com.thaiopensource.validate.OptionArgumentFormatException

All Implemented Interfaces:
  `Serializable`

public class OptionArgumentFormatException extends OptionArgumentException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`OptionArgumentFormatException()`
`OptionArgumentFormatException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OptionArgumentFormatException

public OptionArgumentFormatException()

### OptionArgumentFormatException

public OptionArgumentFormatException(String message)